package org.vector.fastjson.demo;

import java.util.List;

import com.alibaba.fastjson.JSON;

/**
 * 有相关的bean的类时，我们可以直接将json字符串，
 * jsonarray字符串转为bean对象，集合对象
 * @author Vector
 */
/*
 * FastJson API
 * 
 * T parseObject(String text, Class clazz)
 * List parseArray(String text, Class clazz)
 */
public class Trans2Bean {
	
	public static void main(String[] args) {
		
		parseToBean();
		
		parseToArray();
		
	}

	/**
	 * List parseArray(String text, Class clazz)的使用
	 */
	private static void parseToArray() {
		System.out.println("parseToArray-------------------------------------start");
		String array_json = "[{'id':1,'isdead':true,'birth':'2016-09-01 17:32:22','name':'张飞','age':68},{'id':2,'isdead':false,'birth':'2000-09-01 00:32:22','name':'赵云','age':78}]";
		List<User> users = JSON.parseArray(array_json, User.class);
		
		for (int i = 0; i < users.size(); i++) {
			User user = users.get(i);
			System.out.println("user["+i+"]="+user);
		}
		System.out.println("parseToArray-------------------------------------end\n");
	}

	/**
	 * T parseObject(String text, Class clazz)的使用
	 */
	private static void parseToBean() {
		System.out.println("parseToBean-------------------------------------start");
		String bean_json = "{'id':1,'isdead':true,'birth':1473153533840,'name':'赵飞','age':68}";
		User user = JSON.parseObject(bean_json, User.class);
		System.out.println("user="+user);
		System.out.println("parseToBean-------------------------------------end\n");
	}
	
}
