package org.vector.fastjson.demo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/**
 * java对象转json字符串
 * 基本bean和集合对象
 * @author Vector
 */
/*
 * FastJson API
 * 
 * String toJSONString(Object object)
 * Object toJSON(Object javaObject);
 */
public class Trans2Str {
	
	public static void main(String[] args) {
		
		bean2JsonObject();
		
		list2Array();
		
		obj2JsonObjectOrArray();
		
	}

	private static void obj2JsonObjectOrArray() {
		System.out.println("list2Array-------------------------------------start");
		//1.--------java bean对象转为JSONObject
		User user = new User(1, "张飞", new Date(), 37, true);
		Object obj = JSON.toJSON(user);
		if(obj instanceof JSONObject){
			System.out.println("obj2 is JSONObject");
		}else {
			System.out.println("obj2 is not JSONObject");
		}
		
		
		//2.--------java bean对象转为JSONObject
		List<User> users = new ArrayList<User>();
		users.add(new User(1, "张飞", new Date(), 37, true));
		users.add(new User(2, "赵云", new Date(), 35, true));
		Object obj2 = JSON.toJSON(users);
		
		if(obj2 instanceof JSONArray){
			System.out.println("obj2 is JSONArray");
		}else {
			System.out.println("obj2 is not JSONArray");
		}
		System.out.println("list2Array-------------------------------------end\n");
	}

	private static void list2Array() {
		System.out.println("list2Array-------------------------------------start");
		List<User> users = new ArrayList<User>();
		users.add(new User(1, "张飞", new Date(), 37, true));
		users.add(new User(2, "赵云", new Date(), 35, true));
		System.out.println("users="+JSON.toJSONString(users));//数据输出
		System.out.println("users.fmt="+JSON.toJSONString(users, true));//格式化输出
		System.out.println("list2Array-------------------------------------end\n");
	}

	private static void bean2JsonObject() {
		System.out.println("bean2JsonObject-------------------------------------start");
		User user = new User(1, "张飞", new Date(), 37, true);
		System.out.println("user="+JSON.toJSONString(user));//数据输出
		System.out.println("user.fmt="+JSON.toJSONString(user, true));//格式化输出
		System.out.println("bean2JsonObject-------------------------------------end\n");
	}
	
}
